<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Файлы</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Файлы</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Полный список файлов.</div><div class="directory">
<div class="levels">[уровень детализации <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html" target="_self">include</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="database_8h_source.html"><span class="icondoc"></span></a><a class="el" href="database_8h.html" target="_self">database.h</a></td><td class="desc"></td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="levenshtein_8h_source.html"><span class="icondoc"></span></a><a class="el" href="levenshtein_8h.html" target="_self">levenshtein.h</a></td><td class="desc"></td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="settings_8h_source.html"><span class="icondoc"></span></a><a class="el" href="settings_8h.html" target="_self">settings.h</a></td><td class="desc"></td></tr>
<tr id="row_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="speechtotext_8h_source.html"><span class="icondoc"></span></a><a class="el" href="speechtotext_8h.html" target="_self">speechtotext.h</a></td><td class="desc"></td></tr>
<tr id="row_1_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span id="img_1_" class="iconfopen" onclick="toggleFolder('1_')">&#160;</span><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html" target="_self">qxtglobalshortcut5</a></td><td class="desc"></td></tr>
<tr id="row_1_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_0_" class="arrow" onclick="toggleFolder('1_0_')">&#9660;</span><span id="img_1_0_" class="iconfopen" onclick="toggleFolder('1_0_')">&#160;</span><a class="el" href="dir_06584597728f313f88609fbddc331804.html" target="_self">core</a></td><td class="desc"></td></tr>
<tr id="row_1_0_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobal_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobal_8cpp.html" target="_self">qxtglobal.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_0_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobal_8h_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobal_8h.html" target="_self">qxtglobal.h</a></td><td class="desc"></td></tr>
<tr id="row_1_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_1_" class="arrow" onclick="toggleFolder('1_1_')">&#9660;</span><span id="img_1_1_" class="iconfopen" onclick="toggleFolder('1_1_')">&#160;</span><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html" target="_self">gui</a></td><td class="desc"></td></tr>
<tr id="row_1_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobalshortcut_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobalshortcut_8cpp.html" target="_self">qxtglobalshortcut.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobalshortcut_8h_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobalshortcut_8h.html" target="_self">qxtglobalshortcut.h</a></td><td class="desc"></td></tr>
<tr id="row_1_1_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobalshortcut__mac_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobalshortcut__mac_8cpp.html" target="_self">qxtglobalshortcut_mac.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobalshortcut__p_8h_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobalshortcut__p_8h.html" target="_self">qxtglobalshortcut_p.h</a></td><td class="desc"></td></tr>
<tr id="row_1_1_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobalshortcut__win_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobalshortcut__win_8cpp.html" target="_self">qxtglobalshortcut_win.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_5_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtglobalshortcut__x11_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtglobalshortcut__x11_8cpp.html" target="_self">qxtglobalshortcut_x11.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_6_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtwindowsystem_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtwindowsystem_8cpp.html" target="_self">qxtwindowsystem.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_7_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtwindowsystem_8h_source.html"><span class="icondoc"></span></a><a class="el" href="qxtwindowsystem_8h.html" target="_self">qxtwindowsystem.h</a></td><td class="desc"></td></tr>
<tr id="row_1_1_8_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtwindowsystem__mac_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtwindowsystem__mac_8cpp.html" target="_self">qxtwindowsystem_mac.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_9_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtwindowsystem__mac_8h_source.html"><span class="icondoc"></span></a><a class="el" href="qxtwindowsystem__mac_8h.html" target="_self">qxtwindowsystem_mac.h</a></td><td class="desc"></td></tr>
<tr id="row_1_1_10_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtwindowsystem__win_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtwindowsystem__win_8cpp.html" target="_self">qxtwindowsystem_win.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_11_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="qxtwindowsystem__x11_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="qxtwindowsystem__x11_8cpp.html" target="_self">qxtwindowsystem_x11.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_12_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="x11info_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="x11info_8cpp.html" target="_self">x11info.cpp</a></td><td class="desc"></td></tr>
<tr id="row_1_1_13_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="x11info_8h_source.html"><span class="icondoc"></span></a><a class="el" href="x11info_8h.html" target="_self">x11info.h</a></td><td class="desc"></td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><span id="img_2_" class="iconfopen" onclick="toggleFolder('2_')">&#160;</span><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="CalendarDialog_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="CalendarDialog_8qml.html" target="_self">CalendarDialog.qml</a></td><td class="desc">Календарь </td></tr>
<tr id="row_2_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="CharactersTable_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="CharactersTable_8qml.html" target="_self">CharactersTable.qml</a></td><td class="desc">Таблица персонажей </td></tr>
<tr id="row_2_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="ColorGrid_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="ColorGrid_8qml.html" target="_self">ColorGrid.qml</a></td><td class="desc">Грид цветов </td></tr>
<tr id="row_2_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="CommandWindow_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="CommandWindow_8qml.html" target="_self">CommandWindow.qml</a></td><td class="desc"></td></tr>
<tr id="row_2_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="CreateCategory_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="CreateCategory_8qml.html" target="_self">CreateCategory.qml</a></td><td class="desc">Грид категорий при создании заметки </td></tr>
<tr id="row_2_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="CustomSystemPanel_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="CustomSystemPanel_8qml.html" target="_self">CustomSystemPanel.qml</a></td><td class="desc">Пользовательский title-bar </td></tr>
<tr id="row_2_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="database_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="database_8cpp.html" target="_self">database.cpp</a></td><td class="desc">Работа с базой данных и обработкой данных </td></tr>
<tr id="row_2_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="DialogWindow_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="DialogWindow_8qml.html" target="_self">DialogWindow.qml</a></td><td class="desc">Вспомогательное окно для отображения ответа персонажа </td></tr>
<tr id="row_2_8_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="ErrorDialog_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="ErrorDialog_8qml.html" target="_self">ErrorDialog.qml</a></td><td class="desc">Диалог с ошибками </td></tr>
<tr id="row_2_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="GeneralWindow_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="GeneralWindow_8qml.html" target="_self">GeneralWindow.qml</a></td><td class="desc">Основное окно работы со страницами </td></tr>
<tr id="row_2_10_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="GridCategory_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="GridCategory_8qml.html" target="_self">GridCategory.qml</a></td><td class="desc">Грид для отображения категорий каждой заметки </td></tr>
<tr id="row_2_11_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="GridCommandListItem_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="GridCommandListItem_8qml.html" target="_self">GridCommandListItem.qml</a></td><td class="desc">Полоска текста с закругленным фоном </td></tr>
<tr id="row_2_12_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="GridCommandTable_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="GridCommandTable_8qml.html" target="_self">GridCommandTable.qml</a></td><td class="desc">Грид с командами </td></tr>
<tr id="row_2_13_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="GuideRectangle_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="GuideRectangle_8qml.html" target="_self">GuideRectangle.qml</a></td><td class="desc">Табличка с подсказками </td></tr>
<tr id="row_2_14_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="ImageSelectionMenu_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="ImageSelectionMenu_8qml.html" target="_self">ImageSelectionMenu.qml</a></td><td class="desc">Страница для манипуляций над персонажем </td></tr>
<tr id="row_2_15_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="levenshtein_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="levenshtein_8cpp.html" target="_self">levenshtein.cpp</a></td><td class="desc">Расстояние Левенштейна </td></tr>
<tr id="row_2_16_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="main_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="main_8cpp.html" target="_self">main.cpp</a></td><td class="desc">Точка входа в программу </td></tr>
<tr id="row_2_17_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="Main_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="Main_8qml.html" target="_self">Main.qml</a></td><td class="desc">Безрамочное окно с персонажем </td></tr>
<tr id="row_2_18_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="MainContextMenu_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="MainContextMenu_8qml.html" target="_self">MainContextMenu.qml</a></td><td class="desc">Конкекстное меню в виде окна </td></tr>
<tr id="row_2_19_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="Nodes_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="Nodes_8qml.html" target="_self">Nodes.qml</a></td><td class="desc">Грид с заметками </td></tr>
<tr id="row_2_20_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="NodesWindow_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="NodesWindow_8qml.html" target="_self">NodesWindow.qml</a></td><td class="desc">Страница для работы с заметками </td></tr>
<tr id="row_2_21_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="ReminderDateTable_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="ReminderDateTable_8qml.html" target="_self">ReminderDateTable.qml</a></td><td class="desc">Грид с отображения возможных дат напоминаний </td></tr>
<tr id="row_2_22_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="RemindersDialog_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="RemindersDialog_8qml.html" target="_self">RemindersDialog.qml</a></td><td class="desc">Окно для вывода уведомлений </td></tr>
<tr id="row_2_23_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="ReminderTable_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="ReminderTable_8qml.html" target="_self">ReminderTable.qml</a></td><td class="desc">Таблица напоминаний </td></tr>
<tr id="row_2_24_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="ReminderWindow_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="ReminderWindow_8qml.html" target="_self">ReminderWindow.qml</a></td><td class="desc">Страница напоминаний </td></tr>
<tr id="row_2_25_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="ResizeArea_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="ResizeArea_8qml.html" target="_self">ResizeArea.qml</a></td><td class="desc">Группа областей мыши для изменения положения и размера окна </td></tr>
<tr id="row_2_26_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="SearchCategory_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="SearchCategory_8qml.html" target="_self">SearchCategory.qml</a></td><td class="desc">Грид категорий (правая панель и полоска под строкой поиска) </td></tr>
<tr id="row_2_27_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="settings_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="settings_8cpp.html" target="_self">settings.cpp</a></td><td class="desc">Хранение, загрузка и сохранение настроек, а также перевод </td></tr>
<tr id="row_2_28_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="SettingsWindow_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="SettingsWindow_8qml.html" target="_self">SettingsWindow.qml</a></td><td class="desc">Страница настроек </td></tr>
<tr id="row_2_29_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="speechtotext_8cpp_source.html"><span class="icondoc"></span></a><a class="el" href="speechtotext_8cpp.html" target="_self">speechtotext.cpp</a></td><td class="desc">Реализация конвертации звуковой информации в текстовую </td></tr>
<tr id="row_2_30_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="StartWindow_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="StartWindow_8qml.html" target="_self">StartWindow.qml</a></td><td class="desc">Приветственное окно </td></tr>
<tr id="row_2_31_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="Style_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="Style_8qml.html" target="_self">Style.qml</a></td><td class="desc">Стили проекта </td></tr>
<tr id="row_2_32_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="StylishButton_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="StylishButton_8qml.html" target="_self">StylishButton.qml</a></td><td class="desc">Пользовательская кнопка </td></tr>
<tr id="row_2_33_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="Theme_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="Theme_8qml.html" target="_self">Theme.qml</a></td><td class="desc">Параметры цвета в проекте </td></tr>
<tr id="row_2_34_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="TimeDialog_8qml_source.html"><span class="icondoc"></span></a><a class="el" href="TimeDialog_8qml.html" target="_self">TimeDialog.qml</a></td><td class="desc">Диалог для выбора времени </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
